# GitHub Repositories 
Where you can get started working with DID Today.

## Contents

## /WebOfTrustInfo - Design Workshop

>The Web of Trust is a buzzword for a new model of decentralized self-sovereign identity. It’s a phrase that dates back almost twenty-five years, the classic definition derives from PGP.

\#RebootingWebOfTrust holds bi-annual design workshops where many of the ideas in SSI\DID were formed.

In advance of each workshop, all participants produce a one-or-two page topic paper on either:

* A specific problem that they wanted to solve with a web-of-trust solution, and why current solutions (PGP or CA-based PKI) can't address the problem?
*  A specific solution related to the web-of-trust that you'd like others to use or contribute to?

The workshop itself also produces technical whitepapers, this Repository holds a record of the progression of thought in SSI, since November, 2015.

* <a href="https://github.com/WebOfTrustInfo/" target="_blank">https://github.com/WebOfTrustInfo/</a>
* <a href="literature/Rebooting-Web-of-Trust.md">One Page List of RWoT Literature</a>

## W3C - World Wide Web Consortium

### Verifiable Claims WG

* <a href="https://github.com/w3c/verifiable-claims" target="_blank">/w3c/verifiable-claims</a> - W3C Verifiable Claims Working Group.
* <a href="https://github.com/w3c/vc-data-model" target="_blank">/w3c/vc-data-model</a> -Verifiable Claims Data Model and Representations specification.
* <a href="https://github.com/w3c/vc-use-cases" target="_blank">/w3c/vc-use-cases</a> - Verifiable Claims Use Cases.
* <a href="https://github.com/w3c/vc-test-suite" target="_blank">/w3c/vc-test-suite</a> - Verifiable Claims WG Test Suite.
* <a href="https://github.com/w3c/vc-imp-guide" target="_blank">/w3c/vc-imp-guide</a> - Verifiable Credentials Implementation Guidelines
* <a href="" target="_blank"></a>
* <a href="" target="_blank"></a>
* <a href="" target="_blank"></a>
* <a href="" target="_blank"></a>

## Hyperledger Indy
* [/indy-plenum](https://github.com/hyperledger/indy-plenum) - Byzantine Fault Tolerant Protocol [[**wiki**](https://github.com/hyperledger/indy-plenum/wiki)]
    > "Byzantine fault tolerance is a sub-field of fault tolerance research inspired by the Byzantine Generals' Problem, which is a generalized version of the Two Generals' Problem." 
    * [Storage components](https://github.com/hyperledger/indy-plenum/blob/master/docs/storage.md) - As of now, RocksDB is used as a key-value database for all Storages.
* [/indy-sdk](https://github.com/hyperledger/indy-sdk) - Everything needed to build applications that interact with an Indy distributed identity ledger.
  * [MAINTAINERS.md](https://github.com/hyperledger/indy-sdk/blob/master/MAINTAINERS.md)
* [/indy-node](https://github.com/hyperledger/indy-node) - The server portion of a distributed ledger purpose-built for decentralized identity.
* [/indy-anoncreds](https://github.com/hyperledger/indy-anoncreds) - Anonymous credentials protocol implementation in python
* [/indy-agent](https://github.com/hyperledger/indy-agent) - reference agents and associated tools.
* [/indy-test-automation](https://github.com/hyperledger/indy-test-automation) - Automation tools for testing of Indy Project components.
* [/indy-post-install-automation](https://github.com/hyperledger/indy-post-install-automation)
* [/indy-hipe](https://github.com/hyperledger/indy-hipe) - 
Hyperledger Indy Project Enhancements
  * https://indy.readthedocs.io/projects/hipe/en/latest/
* [/indy-crypto](https://github.com/hyperledger/indy-crypto) - shared crypto library for Hyperledger Indy components. To be:
* [/ursa](https://github.com/hyperledger/ursa) [[**ϟ**](https://www.hyperledger.org/blog/2018/12/04/welcome-hyperledger-ursa)][[**ϟ**](https://www.coindesk.com/hyperledger-launches-cryptography-toolbox-for-blockchain-developers)] "includes the Hyperledger Indy-Crypto code base that is the building block for anonymous credentials, the verifiable credentials protocol, in indy-sdk used by the Sovrin Network. [...]  We are hopeful the shared library will help other platforms better incorporate and use ZKP-based credentials and leverage Sovrin for their identity component." (From Nathan George on Sovrin Telegram) [[**wiki**](https://wiki.hyperledger.org/projects/ursa)]



## /peacekeeper/blockchain-identity

>Projects/companies working on blockchain and identity

* [/peacekeeper/blockchain-identity](https://github.com/peacekeeper/blockchain-identity) - The Original list of Blockchain Identity Initiatives. 

Maintained by, [Markus Sabadello (Peacekeeper)](https://medium.com/@markus.sabadello)

## /decentralized-id/decentralized-id.github.io
You can join in on the research, and help build this educational resource.

* [/decentralized-id/decentralized-id.github.io](https://github.com/decentralized-id/decentralized-id.github.io)